PUSHPIN(1)

NAME
pushpin - HTTP reverse proxy server supporting streaming and long-polling services.

SYNOPSIS
pushpin [--verbose] [--config=CONFIG] [--id=ID] [--port=PORT] [--route=ROUTE] [--merge-output]

DESCRIPTION
This starts pushpin using the specified configuration (pushpin.conf). In the default configuration, this also starts mongrel2, m2adapter, pushpin-proxy, pushpin-handler.

--config CONFIG
    Specify configuration file. Default: /etc/pushpin/pushpin.conf.

--id ID
    Unique numeric ID to allow for multiple pushpin instances at the same time.

--port PORT
    TCP port to listen on. Usually configured in pushpin.conf.

--route ROUTE
    Connection forwarding specification. Usually configured in /etc/pushpin/routes.

--merge-output
    Merge output of subprocessess with pushpin's output, instead of letting them write their own log files.

SEE ALSO
mongrel2(1) m2adapter(1) pushpin-proxy(1) pushpin-handler(1) zurl(1)

More documentation can be found at <http://pushpin.org/docs/>